package client_handlers

import (
	"cpone/utils"
	client_mcupreregister "cpone/views/client/mcupreregister"

	"github.com/labstack/echo/v4"
)

type MCUPreregisterService interface {
}

func NewMCUPreregisterHandler(us MCUPreregisterService) *MCUPreregisterHandler {
	return &MCUPreregisterHandler{
		MCUPreregisterService: us,
	}
}

type MCUPreregisterHandler struct {
	MCUPreregisterService MCUPreregisterService
}

func (uh *MCUPreregisterHandler) ShowMCUPreregister(c echo.Context) error {
	helo := client_mcupreregister.Show()
	return utils.View(c, helo)
}
